[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TSelectDirOpt

List of options available when selecting a directory.

## Declaration

Source position: dialogs.pp line 1027

`type TSelectDirOpt = (`
`sdAllowCreate,` |  | Allows a new directory to be created in a select directory dialog.
`sdPerformCreate,` |  | Indicates a directory that does not already exist should be created following execution of the dialog.
`sdPrompt` |  | Indicates the dialog should prompt the user for confirmation of the selected action.
`);`